---
categories: web debian upgrade
title: Howto sources.list
...

Nous conseillons d’utiliser les `sources.list` suivants en fonction des
versions majeures de Debian.
Assurez vous d’avoir les [clefs PGP](#clefs-pgp) associées aux dépôts
externes ([Evolix](#clef-pgp-pour-evolix),
[Freexian](#clef-pgp-pour-freexian), etc.)

## Bullseye

~~~
# cat /etc/apt/sources.list
deb http://mirror.evolix.org/debian bullseye main
deb http://mirror.evolix.org/debian/ bullseye-updates main
deb http://security.debian.org/debian-security bullseye-security main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.net/ bullseye/
~~~

## Stretch

~~~
# cat /etc/apt/sources.list
deb http://mirror.evolix.org/debian stretch main
deb http://mirror.evolix.org/debian/ stretch-updates main
deb http://security.debian.org/debian-security stretch/updates main

# cat /etc/apt/sources.list.d/evolix_public.list
deb http://pub.evolix.net/ stretch/
~~~

## Squeeze

~~
deb http://ftp.debian.org/debian/ jessie main
deb http://security.debian.org/ jessie/updates main
deb http://pub.evolix.net/ jessie/
deb http://deb.freexian.com/extended-lts jessie-lts main
~~

## Clefs PGP

### Clef PGP pour Evolix

~~~
# cd /etc/apt/trusted.gpg.d
# wget 'https://keyserver.ubuntu.com/pks/lookup?op=get&search=0x0c016d3bd1195d30105837cc44975278b8612b5d' -O reg.asc
# chmod 644 reg.asc
~~

### Clef PGP pour Freexian

~~
# wget https://deb.freexian.com/extended-lts/archive-key.gpg -O /etc/apt/trusted.gpg.d/freexian-archive-extended-lts.gpg
~~

